[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#370027: ITP: app-install-data -- Application Installer Data Files

Package: wnpp
Severity: wishlist
Owner: Peter Rockai <me@mornfall.net>

* Package name    : app-install-data
  Version         : 0.1.32
  Upstream Author : Ross Burton <ross@burtonini.com>
                    Niran Babalola
                    Sebasitan Heinlein <sebastian.heinlein@web.de>
                    Michael Vogt <michael.vogt@ubuntu.com>
* URL             : n/a
* License         : GPL (but see below)
  Programming Lang: n/a
  Description     : Application Installer Data Files

 This package contains the data files for user-oriented application
 installers. Currently used by adept-installer and gnome-app-install (the
 latter is not part of debian archive currently, though).


The package is basically a compilation of .desktop files and icons
from Ubuntu archive. This basically reflects pretty well on Debian
archive as well. The very few inconsistencies are handled gracefully
by the application(s) using the data. These would be adept-installer
(to be uploaded shortly pending upload of this package) and
gnome-app-install (if anyone volunteers to upload it to archive, it is
currently available in ubuntu dapper).

The license is GPL because that is what the upstream authors put on
both the software and data compilation. However, the data itself is
copyrighted by wide variety of authors and covered by different
licenses. To my best knowledge, all of these are DFSG-compliant, for
most of them, the upstream source for the compilation is Debian

On the rationale for the package, the data is used to present an
user-friendly list of applications available through APT. The list can
be (and by all current applications is) structured to reflect the
desktop environment menu structure. The applications are shown with
their icons if those are available in this package or otherwise on the

This package is a temporary measure until a better solution is
implemented. However, it is not likely that this happens in time for
Etch. This is why i would prefer to have app-install-data in, so that
Etch can ship with at least adept-installer (if noone steps up to
upload also gnome-app-install).

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-1-686-smp
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Reply to: